//
//  Calculator.h
//  ロト6補助
//
//  Created by Killery on 2013/12/31.
//  Copyright (c) 2013年 Killery. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef struct _DATA{

    int num[6];
    
    int *high;
    int *low;

    int result[6];
}DATA;

DATA data;

@interface Calculator : NSObject
{
    IBOutlet NSTextField *trial;
    IBOutlet NSTextField *errMessage;
    
    IBOutlet NSTextField *input;
    IBOutlet NSTextField *highRate;
    IBOutlet NSTextField *lowRate;
    
    IBOutlet NSPopUpButton *highRateSlct;
    
    NSMutableArray *resultMA;
    IBOutlet NSArrayController *resultAC;
    IBOutlet NSTableView *resultTV;
    
    NSString *trialStr;
    int trialNum;
    
    enum{
        R_COMP,
        R_ERR_OVERTRIAL,
        R_ERR_OVERNUM_T,
        R_ERR_SAMENUM_T,
        R_ERR_OVERNUM_H,
        R_ERR_OVERNUM_L
    };
}

-(IBAction)submit:(id)sender;
-(IBAction)reset:(id)sender;

@end
